<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [HacknetServersFormulas](./bitburner.hacknetserversformulas.md) &gt; [ramUpgradeCost](./bitburner.hacknetserversformulas.ramupgradecost.md)

## HacknetServersFormulas.ramUpgradeCost() method

Calculate cost of upgrading hacknet server ram.

<b>Signature:</b>

```typescript
ramUpgradeCost(startingRam: number, extraLevels?: number, costMult?: number): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  startingRam | number | starting ram |
|  extraLevels | number | amount of level of ram to purchase (defaults to 1) |
|  costMult | number | player cost reduction (default to 1) |

<b>Returns:</b>

number

The calculated cost.

